controllers/FormanController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Forman;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Equipos;
use app\models\Jugadores;

/**
 * FormanController implements the CRUD actions for Forman model.
 */
class FormanController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Forman models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Forman::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Forman model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Forman model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Forman();
        
        $model_jugadores = Jugadores::find()->all();
        $model_equipos = Equipos::find()->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_forman]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Updates an existing Forman model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
        $model_equipos = Equipos::find()->all();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_forman]);
        }

        return $this->render('update', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_equipos' => $model_equipos,
        ]);
    }

    /**
     * Deletes an existing Forman model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Forman model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Forman the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Forman::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/GolesController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Goles;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Partidos;
use app\models\Jugadores;
use app\models\Juegan;

/**
 * GolesController implements the CRUD actions for Goles model.
 */
class GolesController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Goles models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Goles::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Goles model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Goles model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Goles();
        
        $model_jugadores = Jugadores::find()->all();
         $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_gol]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Updates an existing Goles model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
         $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_gol]);
        }

        return $this->render('update', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Deletes an existing Goles model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Goles model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Goles the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Goles::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
}
 public function actionListjugadores($id)
    {
           $countjugadores = Juegan::find()->where(['codigo_partido'=>$id])->count();
           
           $jugadores = Juegan::find()->where(['codigo_partido'=>$id])
                   ->orderBy('id_juegan DESC')->all();
           
           
           
           if($countjugadores>0){
               echo "<option value=''>Selecciona en propia puerta o el goleador</option>";
               echo "<option value='null'>En propia puerta</option>";
               foreach($jugadores as $result) echo "<option value='".$result->codigo_jugador."'>".$result->codigoJugador['nombre'].' '.$result->codigoJugador['apellidos']."</option>";
           }
           
           else{
               echo "<option>-</option>";
           }
           
    }
    
    public function actionListjugadores2($id)
    {
           $countjugadores2 = Juegan::find()->where(['codigo_partido'=>$id])->count();
           
           $jugadores2 = Juegan::find()->where(['codigo_partido'=>$id])
                   ->orderBy('id_juegan DESC')->all();
           
           
           
           if($countjugadores>0){
               echo "<option value='null'>Sin asistencia</option>";
               foreach($jugadores2 as $result) echo "<option value='".$result->codigo_jugador."'>".$result->codigoJugador['nombre'].' '.$result->codigoJugador['apellidos']."</option>";
           }
           
           else{
               echo "<option>-</option>";
           }
           
    }
    
 

}

controllers/JueganController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Juegan;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Partidos;
use app\models\Jugadores;

/**
 * JueganController implements the CRUD actions for Juegan model.
 */
class JueganController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Juegan models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Juegan::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Juegan model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Juegan model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Juegan();
        $model_jugadores = Jugadores::find()->all();
        $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_juegan]);
        }

        return $this->render('create', [
            'model' => $model,
            'model_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Updates an existing Juegan model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
        $model_jugadores = Jugadores::find()->all();
        $model_partidos = Yii::$app->db->createCommand('SELECT partidos_fuera.codigo_partido, jornada, partidos_fuera.nombre_equipo_casa, e.nombre_equipo AS nombre_equipo_fuera
   FROM 
  (SELECT partidos1.codigo_partido, partidos1.codigo_equipo_casa,e.nombre_equipo
    nombre_equipo_casa, partidos1.codigo_equipo_fuera,e.nombre_equipo,jornada FROM 
  (SELECT p.codigo_partido, p.codigo_equipo_casa, p.codigo_equipo_fuera,p.jornada FROM partidos p) 
    partidos1 INNER JOIN equipos e ON partidos1.codigo_equipo_casa=e.codigo_equipo) 
partidos_fuera INNER JOIN equipos e ON partidos_fuera.codigo_equipo_fuera=e.codigo_equipo ORDER BY partidos_fuera.codigo_partido')->queryAll();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id_juegan]);
        }

        return $this->render('update', [
            'model' => $model,
            'momdel_jugadores' => $model_jugadores,
            'model_partidos' => $model_partidos,
        ]);
    }

    /**
     * Deletes an existing Juegan model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Juegan model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Juegan the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Juegan::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contacto';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            Trabajamos para responderle lo antes posible.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->label('Nombre')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email')->label('Correo') ?>

                    <?= $form->field($model, 'subject')->label('Asunto') ?>

                    <?= $form->field($model, 'body')->label('Mensaje')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->label('Verificacion')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Enviar', ['class' => 'btn btn-success', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        Ocurrió un error inesperado mientras se procesaba su solicitud.
    </p>
    <p>
       Por favor, contacta con nosotros en caso de que el error persista. Gracias.
    </p>

</div>
    </div>

views/site/index_admin.php
<?php

/* @var $this yii\web\View */
use yii\helpers\Html;
$this->params['fluid'] = true;
$this->title = 'Administrador';
?>
<!--inicio del header-->
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class= "jumbotron text-center">
    <h1><b>BIENVENIDO SEÑOR ADMINISTRADOR<b/></h1>
</div>

<div class="container<?= $this->params['fluid'] ? '-fluid' : '' ?> "> 
    <div class="container">
        <div class="text-center">
            
            <div class="container-fluid">
                <div class="row">
                    <div class="col-center">
                        <div class="thumbnail">
                            <div class="text-right alineacion"><h5>*Se necesita completar los 3 apartados</h5></div>
                                <div class="caption">
                                    <p><h2 class='h2header'>PARTIDOS</h2></p>                           
                                    <div class="container-fluid">                                   
                                        <div class="row">
                                        
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Nuevo partido</h4>
                                                    <?= Html::a('Añadir', ['partidos/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Participacion de los jugadores en el partido</h4>
                                                    <?= Html::a('Añadir', ['juegan/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Goles del partido</h4>
                                                    <?= Html::a('Añadir', ['goles/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="container-fluid">
                <div class="row">
                    <div class="col-center">
                        <div class="thumbnail">
                            <div class="text-right alineacion"><h5>*Se necesita completar los 3 apartados</h5></div>
                            <div class="caption">
                                <p><h2 class='h2header'>JUGADORES</h2></p>                           
                                <div class="container-fluid">                                   
                                    <div class="row"> 
                                        
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Nuevo jugador</h4>
                                                    <?= Html::a('Añadir', ['jugadores/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Jugador en un equipo</h4>
                                                    <?= Html::a('Añadir', ['forman/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Nacionalidad del jugador</h4>
                                                    <?= Html::a('Añadir', ['nacionalidades/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div> 
            
            <div class="container-fluid">
                <div class="row">
                    <div class="col-center">
                        <div class="thumbnail">
                            <div class="text-right alineacion"><h5></h5></div>
                                <div class="caption">
                                    <h2 class='h2header'>COMPETICIONES</h2>                           
                                    <div class="container-fluid">                                   
                                        <div class="row">
                                        
                                        <div class="col-md-2 col-md-offset-5">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4 class="text-center">Nueva competicion</h4>
                                                    <?= Html::a('Añadir', ['competiciones/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="container-fluid">
                <div class="row">
                    <div class="col-center">
                        <div class="thumbnail">
                            <div class="text-right alineacion"><h5></h5></div>
                                <div class="caption">
                                    <h2 class='h2header'>EQUIPOS</h2>                           
                                    <div class="container-fluid">                                   
                                        <div class="row">
                                        
                                        <div class="col-md-2 col-md-offset-5">
                                            <div class="thumbnail thumb">
                                                <div class="caption">
                                                    <h4>Nuevo equipo</h4>
                                                    <?= Html::a('Añadir', ['equipos/create'], ['class' => 'btn btn-success']) ?>
                                                </div>
                                            </div>
                                        </div>
 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
        </div> 
    </div>
</div>  

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="cabecera">
  <div class="header1"> </div>
  <div class="cuadrado"> </div>
  <div class="triangulo"> </div>
  <div class="header2"> </div>
</div>

<div class="container">
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-success', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>


</div>
</div>